/*
 * ASUS K501UQ - OpenCore hotpatches
 * GPRW instawake fix
 * 
 * Required patches:
 * GPRW => XPRW, in DSDT
 *      47505257 02 => 58505257 02
 */
DefinitionBlock ("", "SSDT", 2, "hack", "GPRW", 0x00000000)
{
    External (XPRW, MethodObj)    // 2 Arguments

    Method (GPRW, 2, NotSerialized)
    {
        If (_OSI ("Darwin"))
        {
            If (LEqual (0x6D, Arg0))
            {
                Return (Package (0x02)
                {
                    0x6D, 
                    Zero
                })
            }
            If (LEqual (0x0D, Arg0))
            {
                Return (Package (0x02)
                {
                    0x6D, 
                    Zero
                })
            }
        }

        Return (XPRW (Arg0, Arg1))
    }
}

