/*
 * ASUS K501UQ - OpenCore hotpatches
 * Replacement XOSI method for OS spoofing.
 *
 * Imitates Windows 10, since this laptop came with it.
 * Rehabman's version do not work with OC for some reason (?)
 * 
 * Required patches:
 * _OSI => XOSI, all occurences in all APCI
 *      5F4F5349 => 584F5349 
 */
DefinitionBlock ("", "SSDT", 2, "hack", "_XOSI", 0x00000000)
{
    Method (XOSI, 1, NotSerialized)
    {
        If (_OSI ("Darwin"))
        {
            If (LEqual (Arg0, "Windows 2015"))
            {
                Return (0xFFFFFFFF)
            }
            Else
            {
                Return (Zero)
            }
        }
        Else
        {
            Return (_OSI (Arg0))
        }
    }
}